Bug 198884 - net-p2p/btsync: Update to 2.0.93 (or add a btsync2 port)
Summary: net-p2p/btsync: Update to 2.0.93 (or add a btsync2 port)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jason Unovitch
URL:
Keywords: easy, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2015-03-24 22:03 UTC by scott.ashford
Modified: 2015-10-10 22:49 UTC (History)
5 users (show)

See Also:
koobs: maintainer-feedback+


Attachments
btsync 2.0.104 patch (1.27 KB, patch)
2015-04-09 06:40 UTC, joshruehlig
joshruehlig: maintainer-approval+
Details | Diff
btsync 2.0.105 patch (1.51 KB, patch)
2015-04-18 03:58 UTC, joshruehlig
joshruehlig: maintainer-approval+
Details | Diff
btsync 2.0.120 patch (1.51 KB, patch)
2015-05-22 05:55 UTC, joshruehlig
joshruehlig: maintainer-approval+
Details | Diff
btsync 2.0.120 patch (1.51 KB, patch)
2015-05-22 06:20 UTC, joshruehlig
joshruehlig: maintainer-approval+
Details | Diff
btsync 2.0.1240 patch (1.51 KB, patch)
2015-06-06 06:41 UTC, joshruehlig
joshruehlig: maintainer-approval+
Details | Diff
'portlint -AC' output (262 bytes, text/plain)
2015-06-06 07:05 UTC, joshruehlig
no flags Details
make stage && make check-plist && make stage-qa && make package (1.64 KB, text/plain)
2015-06-06 07:18 UTC, joshruehlig
no flags Details
btsync 2.0.126 patch (1.51 KB, patch)
2015-06-23 06:27 UTC, joshruehlig
joshruehlig: maintainer-approval+
Details | Diff
btsync 2.0.128 patch (1.51 KB, patch)
2015-06-27 01:32 UTC, joshruehlig
no flags Details | Diff
btsync 2.1.3 patch (1.51 KB, patch)
2015-08-19 00:01 UTC, joshruehlig
joshruehlig: maintainer-approval+
Details | Diff
btsync 2.2.0 patch (1.51 KB, patch)
2015-09-16 08:02 UTC, joshruehlig
joshruehlig: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description scott.ashford 2015-03-24 22:03:19 UTC
upgrade to btsync 2.0.93 or add a btsync2 port.
Comment 1 joshruehlig 2015-03-24 22:11:41 UTC
btsync 2.x currently is broken on freebsd
http://forum.bittorrent.com/topic/34440-btsync-20-gui-not-accesible-on-freebsd-x86-64
Comment 2 scott.ashford 2015-03-24 22:28:43 UTC
excellent reason to not upgrade/add new port. thanks.
Comment 3 joshruehlig 2015-04-09 06:40:04 UTC
Created attachment 155357 [details]
btsync 2.0.104 patch
Comment 4 joshruehlig 2015-04-18 03:58:37 UTC
Created attachment 155686 [details]
btsync 2.0.105 patch

The changed the URL for 2.0.105
Comment 5 joshruehlig 2015-05-22 05:55:02 UTC
Created attachment 157029 [details]
btsync 2.0.120 patch
Comment 6 joshruehlig 2015-05-22 05:56:46 UTC
Sorry for adding you Mark. Just wondering if you have a chance to look at this? Thanks
Comment 7 joshruehlig 2015-05-22 06:20:28 UTC
Created attachment 157030 [details]
btsync 2.0.120 patch

make makesum doesn't work well when the distfile doesn't change names between versions =[
Comment 8 scott.ashford 2015-06-05 23:25:34 UTC
btsync version 2.0.124 was released.
Comment 9 joshruehlig 2015-06-05 23:47:09 UTC
thanks, I'll update the patch. hopefully someone can review and commit it. not sure what I'm not sure why no one has yet.

what's strange is 2.0.124 want announced on their forum. that's where I usually look for new releases.
Comment 10 joshruehlig 2015-06-05 23:48:23 UTC
thanks, I'll update the patch. hopefully someone can review and commit it. i'm not sure why no one has yet.

what's strange is 2.0.124 want announced on their forum. that's where I usually look for new releases.
Comment 11 joshruehlig 2015-06-06 06:41:41 UTC
Created attachment 157451 [details]
btsync 2.0.1240 patch
Comment 12 Kubilay Kocak freebsd_committer freebsd_triage 2015-06-06 06:59:52 UTC
Thanks for the patch Josh.

If you could include QA results (poudriere testport, portlint -AC) as attachments that would be great.
Comment 13 joshruehlig 2015-06-06 07:05:51 UTC
Created attachment 157452 [details]
'portlint -AC' output

I added the 'portlint -AC' output

I'm not sure what I need to be doing with poudriere. I'm assuming I need to run a jail to use this tool?
Comment 14 Kubilay Kocak freebsd_committer freebsd_triage 2015-06-06 07:11:34 UTC
Thanks Josh. poudriere handles the jail management aspects for you. You can find more info here:

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/testing-poudriere.html

In the meantime, attaching the following command output is OK (though poudriere is highly preferred)

`make stage && make check-plist && make stage-qa && make package`
Comment 15 joshruehlig 2015-06-06 07:18:10 UTC
Created attachment 157453 [details]
make stage && make check-plist && make stage-qa && make package

attached is output from 'make stage && make check-plist && make stage-qa && make package'

Ok, it sounds like I need to read up on poudriere than.
Comment 16 joshruehlig 2015-06-23 06:27:46 UTC
Created attachment 158005 [details]
btsync 2.0.126 patch
Comment 17 joshruehlig 2015-06-27 01:32:10 UTC
Created attachment 158087 [details]
btsync 2.0.128 patch
Comment 18 scott.ashford 2015-08-05 09:32:31 UTC
newest version is 2.1.1
Comment 19 joshruehlig 2015-08-19 00:01:54 UTC
Created attachment 159999 [details]
btsync 2.1.3 patch
Comment 20 joshruehlig 2015-08-19 00:04:00 UTC
@Mark Linimon
Can you, or someone else with the ability to commit, please review this at some point.

Thank you
Comment 21 joshruehlig 2015-09-16 08:02:33 UTC
Created attachment 161110 [details]
btsync 2.2.0 patch
Comment 22 commit-hook freebsd_committer 2015-10-10 22:43:18 UTC
A commit references this bug:

Author: junovitch
Date: Sat Oct 10 22:42:35 UTC 2015
New revision: 399026
URL: https://svnweb.freebsd.org/changeset/ports/399026

Log:
  net-p2p/btsync: update 1.4.111 -> 2.2.0

  PR:		198884
  Submitted by:	Joshua Ruehlig <joshruehlig@gmail.com> (maintainer)

Changes:
  head/net-p2p/btsync/Makefile
  head/net-p2p/btsync/distinfo
Comment 23 Jason Unovitch freebsd_committer 2015-10-10 22:48:33 UTC
(In reply to joshruehlig from comment #21)

Thank you! Sorry for the delay.

QA feedback:

Portlint:
There was one small issue identified by `portlint -ac`:
WARN: Makefile: no ftp/http mirror in MASTER_SITES for users behind a proxy.

This was fixed before commit by adding the http version of the MASTER_SITE as a second option.

Buildtime:
Builds were checked in Poudriere on the following.

9.3-RELEASE-p28      amd64
9.3-RELEASE-p28      i386
10.1-RELEASE-p22     amd64
10.1-RELEASE-p22     i386
10.2-RELEASE-p5      amd64
10.2-RELEASE-p5      i386
11.0-CURRENT r289084 amd64
11.0-CURRENT r289115 i386

Runtime:
I validated start/restart/stop of the daemon.
Comment 24 joshruehlig 2015-10-10 22:49:28 UTC
Thank you for the effort in testing and getting this committed!